#!/usr/bin/env node
import c from "yargs";
import { hideBin as l } from "yargs/helpers";
import { handler as n } from "./handler.mjs";
import s from "chalk";
import i from "./injectInfo.json.mjs";
const m = () => ({
  sourceJsonFilePath: {
    type: "string",
    alias: "s",
    describe: "信息源json文件相对路径",
    default: "./package.json"
  },
  injectKeyPath: {
    type: "array",
    alias: "k",
    describe: "需要注入的key路径",
    default: ["name", "version", "description"]
  },
  injectInfoFilePath: {
    type: "string",
    alias: "i",
    describe: "注入信息文件路径",
    default: "./src/injectInfo.json"
  }
}), t = "inject", d = (e, o) => {
  console.log(e ? s.red(e) : s.red(o.message)), process.exit(1);
}, p = i.description, g = `Usage: $0 ${t} [options]`, f = "Usage: $0 [options]", r = (e, o) => {
  const a = m();
  return e.strict().usage(o).help("help").version(i.version).alias("v", "version").alias("h", "help").options(a).fail(d).argv;
}, h = (e) => r(e, g), k = {
  command: t,
  describe: p,
  builder: h,
  handler: n
}, C = async () => {
  const e = c(l(process.argv)), o = await r(e, f);
  return n(o);
};
export {
  k as command,
  C as createCli
};
